<template>
  <div class="notify">
      <div v-for="(item,index) in list" :key="index" class="item" @click="notify(item)">
          <div>{{item.noticeMsg}}</div>
          <div class="tip" v-if="!item.isRead"></div>
      </div>
      <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
  </div>
</template>
<script type="text/ecmascript-6">
  import config from '@/config'
  import top from '@/components/top/top.vue'
  import name from '@/components/name/name.vue'
  import change from '@/components/change/change.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
   import hintbox from '@/components/hintbox/hintbox.vue'
  export default {
    data(){
      return{
          list:[],
           hintbox:{
          text :'',
          show : false
        },
      }
    },
    components:{
      'v-hintbox':hintbox
    },
    watch:{
     
    },
    computed:{
      

    },
    methods:{
        //关闭弹窗
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
         wx.reLaunch({
                        url: '/pages/mainPage/home/main?page=home'
                    })
      },
        notify(item){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        console.log('33',item);
        var data={
            openId:VerificationCodeEntity.OpenId,
            type:item.type,
            couponId:item.couponId,
            activityId:item.activityId
        };
        VeevlinkClient(
          '/member/notice/read?openId='+data.openId+'&type='+data.type +'&couponId='+data.couponId+'&activityId='+data.activityId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              that.hintbox.show = true;
              that.hintbox.text = data.message;
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
    },
    onLoad(data){
        console.log(data);
        // if(data.data.length!==0 && data.data !=='' && data.data !=='undefined'){
        //    this.list = JSON.parse(data.data);
        // }else{
            this.list = wx.getStorageSync('list')
        // }
        
        
    }
     
  }
</script>
<style >
page{
  background: #EFEFEF;
}
</style>
<style  lang="scss"  type="text/scss" scoped >
  .notify{
      padding-top: 0.17rem;
      .item{
          width: 6.72rem;
          height: 1.06rem;
          background: #fff;
          color: #727171;
          line-height: 1.06rem;
          margin: 0.1rem 0.36rem 0.1rem 0.4rem;
          div{
              margin-left: 0.32rem;
          }   
          .tip{
          width: 0.14rem;
          height: 0.14rem;
          border-radius: 50%;
          background: #FF7C10;
          position: absolute;
          right: 0.52rem;
          margin-top: -0.9rem;
          
      }
      }
      

  }
    

</style>


